# H245_MediaDistributionCapability Class Reference

`#include <h245.h>`

Inheritance diagram for H245_MediaDistributionCapability:

List of all members.

## Public Types

enum | OptionalFields { e_centralizedData, e_distributedData }

## Public Member Functions

| H245_MediaDistributionCapability (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Boolean | m_centralizedControl
PASN_Boolean | m_distributedControl
PASN_Boolean | m_centralizedAudio
PASN_Boolean | m_distributedAudio
PASN_Boolean | m_centralizedVideo
PASN_Boolean | m_distributedVideo
H245_ArrayOf_DataApplicationCapability | m_centralizedData
H245_ArrayOf_DataApplicationCapability | m_distributedData

## Member Enumeration Documentation

enum H245_MediaDistributionCapability::OptionalFields

Enumerator:

  e_centralizedData |
  e_distributedData |

## Constructor & Destructor Documentation

H245_MediaDistributionCapability::H245_MediaDistributionCapability | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_MediaDistributionCapability::GetDataLength | ( |  | ) | const

PBoolean H245_MediaDistributionCapability::Decode | ( | PASN_Stream & | strm | ) |

void H245_MediaDistributionCapability::Encode | ( | PASN_Stream & | strm | ) | const

void H245_MediaDistributionCapability::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_MediaDistributionCapability::Compare | ( | const PObject & | obj | ) | const

PObject* H245_MediaDistributionCapability::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Boolean H245_MediaDistributionCapability::m_centralizedControl

PASN_Boolean H245_MediaDistributionCapability::m_distributedControl

PASN_Boolean H245_MediaDistributionCapability::m_centralizedAudio

PASN_Boolean H245_MediaDistributionCapability::m_distributedAudio

PASN_Boolean H245_MediaDistributionCapability::m_centralizedVideo

PASN_Boolean H245_MediaDistributionCapability::m_distributedVideo

H245_ArrayOf_DataApplicationCapability H245_MediaDistributionCapability::m_centralizedData

H245_ArrayOf_DataApplicationCapability H245_MediaDistributionCapability::m_distributedData

The documentation for this class was generated from the following file:

- h245.h